

body{
  font-family:Arial, Helvetica, sans-serif;
  margin:0;
  background:#0f0f0f;
  color:#f5f5f5;
}

header{
  padding:60px 20px;
  text-align:center;
}
/*Transparence*/
hr{
  border: none;
  height: 2px;
  opacity: 0.3;
  margin: 10px auto;
  width: 80%;
  background: linear-gradient(to right, transparent, #c36aff, transparent);
}

h1{
  font-size:42px;
  margin-bottom:10px;
}

h2{
  font-size:38px;
  margin-bottom:0px;
  margin-top: 0px;
  text-align: center;
}
section{
  padding:60px 20px;
}
/* ============================
   SEÇÃO PROJETOS
============================ */

.gallery {
    padding: 80px 0;
    background-color: #0f0f0f;
    color: #fff;
}

.container-designs {
    width: 90%;
    max-width: 1300px;
    margin: auto;
    text-align: center;
}

.designs h2 {
    margin-top: 0px;
    font-size: 2.2rem;
    color: #c36aff;
    margin-bottom: 10px;
}

.descricao-designs {
    font-size: 1.2rem;
    color: #e4e4e4;
    margin-bottom: 40px;
}

/* CARDS */
.cards-designs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}

.card {
    background-color: #0f0f0f;
    border: 2px solid #e66aff4d;
    border-radius: 15px;
    padding: 15px;
    transition: 0.3s ease;
    box-shadow: 0 0 12px #e66aff4d;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.card:hover {
    transform: scale(1.03);
    box-shadow: 0 0 18px #e66aff4d;
}

/* IMAGENS */
.card img:not(.carousel-img) {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 8px;
    margin-bottom: 15px;
}

/* TÍTULOS DOS CARDS */
.card h3 {
    font-size: 1.4rem;
    color: #c36aff;
    margin-bottom: 10px;
    margin-bottom: 5px;
}

/* TEXTO DOS CARDS */
.card p {
    font-size: 1rem;
    color: #d6d6d6;
    line-height: 1.5;
}

/* ================================
   CARROSSEL DE IMAGENS
================================ */

.carrossel {
    position: relative;
    overflow: hidden;
}

.carousel-container {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 420px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.carousel-img {
    position: absolute;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    background-color: #0f0f0f;
    border-radius: 8px;
    opacity: 0;
    transition: opacity 1.5s ease;
    
}

.carousel-img.active {
    opacity: 1;
    cursor: pointer;
}

.carousel-img.active:hover {
  transform: scale(1.02);
  transition: 0.3s;
}


/* Botões */
.carousel-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 28px;
    color: #e66aff4d;
    cursor: pointer;
    padding: 5px 15px;
    border-radius: 50%;
    background: rgba(0,0,0,0.5);
    user-select: none;
}

.carousel-btn.left {
    left: 10px;
}

.carousel-btn.right {
    right: 10px;
}

.carousel-btn:hover {
    background: #e66aff4d;
}

.a1 {
  margin-top: 10px;
  font-size: 16px;
  color: #c36aff;
  font-weight: 500;
}

.contact-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  max-width: 800px;
  margin: 1px auto;
  justify-items: center;
  justify-content: center;
}

.contact-container p {
  background: #1b1b1b;
  padding: 12px 1px;
  border-radius: 10px;
  border: 1px solid #2a2a2a;
  text-align: center;
  width: 100%;
  max-width: 100%;
}

.contact-container p:hover {
  border-color: #c36aff;
  transform: translateY(-3px);
  transition: 0.3s;
}

.contact-section {
  text-align: center;
}

.contact-section h2 {
  margin-bottom: 10px;
  font-size: 25px;
  letter-spacing: 1px;
}

@media (max-width: 768px) {
    .card {
        padding: 15px;
    }

    .carousel-container {
        height: 220px;
    }

    .contact-container {
        grid-template-columns: 1fr;
    }

    .cards-designs {
        grid-template-columns: 1fr;
    }
}
footer{
  text-align:center;
  padding:30px 10px;
  color:#aaa;
}
